Resource URL
https://api.onelogin.com/api/v3/users/username/
:usernameParameters
username required string | Set to the user's username. If you don't know the user's username, use the Get Users API call to return all users and their username values. |
Sample Response
- 200 OK
- 404 Not Found
This request generates no response.<error>
<title>Record Not Found</title>
<message>No user found by username 'bernerslee'</message>
</error>Sample cURL Request
**Try it out with a test account first: **Start off with using this cURL request with a test OneLogin account and API key. Once you’ve familiarized yourself with the API’s behavior, switch over to using your production OneLogin account and API key. Be sure to replace placeholder values surrounded by
{ }with actual values.
curl -v -u {api_key}:x -X DELETE https://api.onelogin.com/api/v3/users/username/{username}Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.